/*
 Theme Name:     Carlsbad Chamber of Commerce
 Theme URI:      https://carlsbad.org
 Description:    Child Theme for GeneratePress
 Author:         Ukiiki Web Design
 Author URI:     https://ukiiki.com
 Template:       generatepress
 Version:        1.0.0
*/


/* =Theme customization starts here
------------------------------------------------------- */
/*
 * Site Header
 */

body:not(.home) .gb-site-header:not(.gb-is-sticky) {
    background: var(--accent-50);
}

body .gb-site-header.gb-is-sticky {
    background: var(--white);
}

header .btn {
	padding-inline: 1.5em;
}

:where(.current-menu-parent, .current-menu-item) > a {
    font-weight: bold;
}

.gb-menu--base .menu-item:hover>.gb-sub-menu {
    display: block;
}

/*
 * Typography
 */

.headline-primary.headline-primary {
	color: var(--primary);
}

/* Footer */
.generate-back-to-top.generate-back-to-top {
    bottom: 3em;
    right: var(--space-inline);
}

footer#footer a:not(.btn):not(.gb-social-network):not(.gb-contact):not([aria-current="page"]):not(:hover):not(:focus-visible) {
    opacity: 0.6;
}

/*
 * Member Profile Pages
 */
.member-listings .member-listing:not(:last-child) {
    margin-bottom: 2em;    
}

.member-listings .member-listing__products-services {
    margin-block: 1em;
}

.member-listings .member-listing__products-services .member-inner {
    position: relative;
    padding-left: 1.5rem;
}

.member-listings .member-listing__products-services .member-inner:before {
    content: '';
    display: inline-block;
    height: 16px;
    width: 16px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 24 24'%3E%3Cg fill='%23000000' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='m16,22l-6-4-6,4v-14c0-1.105.895-2,2-2h8c1.105,0,2,.895,2,2v14Z' fill='none' stroke='%23000000' stroke-width='2'%3E%3C/path%3E%3Cpath d='m9,2h7c2.209,0,4,1.791,4,4v12' fill='none' stroke='%23000000' stroke-width='2'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
    position: absolute;
    left: 0;
    top: 4px;
}

/* Member Socials */
.member-social-networks {
    display: flex;
    gap: var(--space-xs);
    margin: 0!important;
    list-style: none;
}

.member-social-networks a {
    text-decoration: none;
    line-height: 1;
	display: flex;
}

.member-social-networks .bwd-external-link {
	display: none;
}

/* Reset Description HTML */
.member-listing__description :where(table, tbody, thead,tr, td, th) {
    border: none;
    padding: unset;
    margin: unset;
}

/*
 * Member Directory Listing
 */
.card-member__logo {
    --size: 120px;
}

.card-member__logo.card-member__logo img {
	max-width: 90%!important;
    max-height: 90%!important;
	object-fit: contain;
	aspect-ratio: inherit;
}

.card-member__logo.card-member__logo [src="/wp-content/uploads/2025/09/carlsbad-chamber-of-commerce-favicon.png"] {
    filter: grayscale();
    height: var(--size);
    width: var(--size);
}

.card-member__logo:not(:has(img)):after {
    content: '';
    display: block;
    filter: grayscale();
    height: var(--size);
    width: var(--size);
    background: url("/wp-content/uploads/2025/09/carlsbad-chamber-of-commerce-favicon.png");
    background-size: contain;
}